﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace LiveTiles
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            RadPanorama r = new RadPanorama();
                       
            //create tile group for our display
            TileGroupElement group = new TileGroupElement() { Text = "My Favorite Fruit" };
            group.RowsCount = 3;

            //add group to the RadPanorama control
            r.Groups.Add(group);
            r.ShowGroups = true;
            r.Dock = DockStyle.Fill;

            FruitMarket repository = new FruitMarket();
            List<Fruit> myFavorites = repository.GetAllFruit();

            //font for the tile text
            Font tileFont = new Font("Microsoft Sans Serif", 10, FontStyle.Bold);

            foreach (Fruit f in myFavorites)
            {
                RadLiveTileElement tile = new RadLiveTileElement();

                //assign first "frame" of the live tile animation - image
                tile.Items.Add(new LightVisualElement()
                {
                    Image = new Bitmap(f.ImagePath),
                    ImageLayout = ImageLayout.Stretch,
                    ShouldHandleMouseInput = false,
                    NotifyParentOnMouseInput = true
                });
                               
                //assign second "frame" of the live tile animation - textual
                tile.Items.Add(new LightVisualElement()
                {
                    Text = f.FruitName,
                    Font = tileFont,
                    ShouldHandleMouseInput = false,
                    NotifyParentOnMouseInput = true
                });

                Random randomizer = new Random(DateTime.Now.Millisecond);

                //assign random time interval between 2 and 8 seconds for tile animation
                tile.ContentChangeInterval = randomizer.Next(2000, 8000);

                //assign a random transition animation between tile frames
                // 0 -> SlideLeft
                // 1 -> SlideRight
                // 2 -> SlideUp
                // 3 -> SlideDown
                // 4 -> Fade
                tile.TransitionType = (ContentTransitionType)randomizer.Next(0, 4);

                group.Items.Add(tile);
            }
            
            this.Controls.Add(r);
        }
    }
}
